Package: org.codehaus.groovy.ast.stmt

## [Java] Class EmptyStatement

- org.codehaus.groovy.ast.stmt.EmptyStatement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static EmptyStatement` | `INSTANCE` | Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EmptyStatement ()` See Also: EmptyStatement.INSTANCE

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addStatementLabel(String label)`
    `` | `boolean` | `isEmpty()`
    `` | `void` | `setColumnNumber(int n)`
    `` | `void` | `setLastColumnNumber(int n)`
    `` | `void` | `setLastLineNumber(int n)`
    `` | `void` | `setLineNumber(int n)`
    `` | `void` | `setMetaDataMap(Map<?, ?> meta)`
    `` | `void` | `setSourcePosition(ASTNode node)`
    `` | `void` | `setStatementLabel(String label)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `getWarnings, setFetchDirection, getFetchDirection, getFetchSize, clearWarnings, setFetchSize, enquoteIdentifier, getUpdateCount, getLargeMaxRows, enquoteLiteral, setLargeMaxRows, setCursorName, isSimpleIdentifier, getMoreResults, getMoreResults, getGeneratedKeys, executeLargeBatch, getResultSetType, getMaxRows, setMaxFieldSize, getMaxFieldSize, clearBatch, setPoolable, setMaxRows, getResultSet, isPoolable, closeOnCompletion, executeQuery, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeBatch, getQueryTimeout, executeUpdate, executeUpdate, executeUpdate, executeUpdate, setQueryTimeout, addBatch, enquoteNCharLiteral, setEscapeProcessing, getResultSetHoldability, getResultSetConcurrency, getLargeUpdateCount, isCloseOnCompletion, execute, execute, execute, execute, close, isClosed, getConnection, cancel, isWrapperFor, unwrap`

- - ### Field Detail

    - #### public static final EmptyStatement INSTANCE

      Immutable singleton that is recommended for use when source range or any other occurrence-specific metadata is not needed.

  - ### Constructor Detail

    - #### public EmptyStatement()

      See Also:
        EmptyStatement.INSTANCE

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void addStatementLabel(String label)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isEmpty()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setColumnNumber(int n)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setLastColumnNumber(int n)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setLastLineNumber(int n)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setLineNumber(int n)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setMetaDataMap(Map<?, ?> meta)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setSourcePosition(ASTNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setStatementLabel(String label)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visit(GroovyCodeVisitor visitor)